/**********************************************************************************************************
 *
 *                                          RMU900 API header file
 *
 **********************************************************************************************************
 * FileName:        RMU900_API.h
 *
 * Dependencies:    NONE
 *
 * Complier:        Microsoft Visual studio 2005
 * Company:         Everay Technologies
 *
 *********************************************************************************************************/

#if !defined _RMU900_API_H__
#define _RMU900_API_H__

#if _MSC_VER > 1000
#pragma once
#endif


/**********************************************************************************************************
 *
 *                                      Open port and connect
 *
 *********************************************************************************************************/
int WINAPI RmuOpenAndConnect (HANDLE &hCom, char* cPort, UCHAR flagCrc);

/**********************************************************************************************************
 *
 *                                      Disconnect and close port
 *
 *********************************************************************************************************/
int WINAPI RmuCloseAndDisconnect (HANDLE &hCom, UCHAR flagCrc);

/**********************************************************************************************************
 *
 *                                         Get RMU status
 *
 *********************************************************************************************************/
int WINAPI RmuGetPaStatus (HANDLE hCom, UCHAR* uStatus, UCHAR flagCrc);

/**********************************************************************************************************
 *
 *                                         Get RMU power setting
 *
 *********************************************************************************************************/
int WINAPI RmuGetPower (HANDLE hCom, UCHAR* uPower, UCHAR flagCrc);

/**********************************************************************************************************
 *
 *                                         Set RMU power
 *
 *********************************************************************************************************/
int WINAPI RmuSetPower (HANDLE hCom, UCHAR uOption, UCHAR uPower, UCHAR flagCrc);

/**********************************************************************************************************
 *
 *                                         Get RMU frequency setting
 *
 *********************************************************************************************************/
int WINAPI RmuGetFrequency(HANDLE hCom, UCHAR* uBaseFre, UCHAR* uChannNum, UCHAR* uChannSpc, UCHAR flagCrc);

/**********************************************************************************************************
 *
 *                                         Set RMU frequency
 *
 *********************************************************************************************************/
int WINAPI RmuSetFrequency(HANDLE hCom, UCHAR* uBaseFre, UCHAR uChannNum, UCHAR uChannSpc, UCHAR flagCrc);

/**********************************************************************************************************
 *
 *                                         RMU inventory
 *
 *********************************************************************************************************/
int WINAPI RmuInventory (HANDLE hCom, UCHAR flagAnti, UCHAR initQ, UCHAR flagCrc);

/**********************************************************************************************************
 *
 *                                         Get received data
 *
 *********************************************************************************************************/
int WINAPI RmuGetReceived (HANDLE hCom, UCHAR* uLenUii, UCHAR* uUii);

/**********************************************************************************************************
 *
 *                                         RMU stop get
 *
 *********************************************************************************************************/
int WINAPI RmuStopGet (HANDLE hCom, UCHAR flagCrc);

/**********************************************************************************************************
 *
 *                                         RMU read data
 *
 *********************************************************************************************************/
int WINAPI RmuReadData (HANDLE hCom, UCHAR* uAccessPwd, UCHAR uBank, UCHAR* uPtr, UCHAR uCnt, UCHAR* uUii, UCHAR* uReadData, UCHAR* uErrorCode, UCHAR flagCrc);

/**********************************************************************************************************
 *
 *                                         RMU write data
 *
 *********************************************************************************************************/
int WINAPI RmuWriteData (HANDLE hCom, UCHAR* uAccessPwd, UCHAR uBank, UCHAR* uPtr, UCHAR uCnt, UCHAR* uUii, UCHAR* uWriteData, UCHAR* uErrorCode, UCHAR flagCrc);

/**********************************************************************************************************
 *
 *                                         RMU erase data
 *
 *********************************************************************************************************/
int WINAPI RmuEraseData (HANDLE hCom, UCHAR* uAccessPwd, UCHAR uBank, UCHAR* uPtr, UCHAR uCnt, UCHAR* uUii, UCHAR* uErrorCode, UCHAR flagCrc);

/**********************************************************************************************************
 *
 *                                         RMU lock memory
 *
 *********************************************************************************************************/
int WINAPI RmuLockMem (HANDLE hCom, UCHAR* uAccessPwd, UCHAR* uLockData, UCHAR* uUii, UCHAR* uErrorCode, UCHAR flagCrc);

/**********************************************************************************************************
 *
 *                                         RMU kill tag
 *
 *********************************************************************************************************/
int WINAPI RmuKillTag (HANDLE hCom, UCHAR* uKillPwd, UCHAR* uUii, UCHAR* uErrorCode, UCHAR flagCrc);

/**********************************************************************************************************
 *
 *                                         RMU Get Version
 *
 *********************************************************************************************************/
int WINAPI RmuGetVersion (HANDLE hCom, UCHAR* uSerial, UCHAR* uVersion, UCHAR flagCrc);

/**********************************************************************************************************
 *
 *                                         RMU Read EEPROM
 *
 *********************************************************************************************************/
int WINAPI RmuReadEE (HANDLE hCom, UCHAR uEEadd, UCHAR uEElen, UCHAR* uEEpwd, UCHAR* uEEdata, UCHAR flagCrc);

/**********************************************************************************************************
 *
 *                                         RMU Write EEPROM
 *
 *********************************************************************************************************/
int WINAPI RmuWriteEE (HANDLE hCom, UCHAR uEEadd, UCHAR uEElen, UCHAR* uEEdata, UCHAR* uEEpwd, UCHAR flagCrc);

/**********************************************************************************************************
 *
 *                                          RMU Get Antenna
 *
 *********************************************************************************************************/
int WINAPI RmuGetAntenna (HANDLE hCom, UCHAR* uAnt, UCHAR flagCrc);

/**********************************************************************************************************
 *
 *                                          RMU Set Antenna
 *
 *********************************************************************************************************/
int WINAPI RmuSetAntenna (HANDLE hCom, UCHAR uAnt, UCHAR flagCrc);

/**********************************************************************************************************
 *
 *                                          RMU single inventory
 *
 *********************************************************************************************************/
int WINAPI RmuInventorySingle (HANDLE hCom, UCHAR* uLenUii, UCHAR* uUii , UCHAR flagCrc);

/**********************************************************************************************************
 *
 *                                         RMU Wiegand inventory
 *
 *********************************************************************************************************/
int WINAPI RmuWiegandInventory (HANDLE hCom, UCHAR flagCrc);

/**********************************************************************************************************
 *
 *                                         RMU  read data single
 *
 *********************************************************************************************************/
int WINAPI RmuReadDataSingle (HANDLE hCom, UCHAR* uAccessPwd, UCHAR uBank, UCHAR* uPtr, UCHAR uCnt, UCHAR* uReadData, UCHAR* uUii, UCHAR* uLenUii, UCHAR* uErrorCode, UCHAR flagCrc);

/**********************************************************************************************************
 *
 *                                         RMU write data single
 *
 *********************************************************************************************************/
int WINAPI RmuWriteDataSingle (HANDLE hCom, UCHAR* uAccessPwd, UCHAR uBank, UCHAR* uPtr, UCHAR uCnt, UCHAR* uWriteData, UCHAR* uUii, UCHAR* uLenUii, UCHAR* uErrorCode, UCHAR flagCrc);

/**********************************************************************************************************
 *
 *                                          End of file
 *
 *********************************************************************************************************/


#endif